techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Checkout
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
      GET
    • Create Cart
      POST
    • Update Cart
      PATCH
    • Cart Details
      GET
    • List Pickup Locations
      GET
    • List Featured Vouchers
      GET
    • Get Courier Options
      POST
    • Checkout
      POST
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Checkout

Cart Details

GET
https://api.techrar.com/order/v1/carts/{cart_id}/
This endpoint allows you to get cart details by passing the cart_id as a path parameter.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/order/v1/carts//' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 383,
    "created_at": "2025-06-16T19:42:34.585869+03:00",
    "is_expired": false,
    "customer_id": 1,
    "items": [
        {
            "id": 459,
            "item": {
                "id": 108,
                "custom_fields": null,
                "images": [
                    {
                        "ordering": 0,
                        "lang": "en",
                        "full_size": "/media/uploads/items/full_size/2025/05/14/5a8747e6-f1ae-4dfd-b812-66cfdf9e2803.png",
                        "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/ecf22fe0-0509-482c-bbca-63f13a6d3cec.png",
                        "large": null,
                        "medium": null,
                        "small": null
                    },
                    {
                        "ordering": 12,
                        "lang": "en",
                        "full_size": "/media/uploads/items/full_size/2025/05/14/db0b5126-84ee-499d-8dbe-2183ad549a8b.png",
                        "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/6bcd31cb-e570-40a6-88ec-39ef97822c95.png",
                        "large": null,
                        "medium": null,
                        "small": null
                    }
                ],
                "discount": {
                    "is_applied": false,
                    "is_trial_applied": false,
                    "is_usage_price": false,
                    "price_after_discount_no_trial": 100,
                    "price_after_discount": 100
                },
                "stock": {
                    "in_stock": true,
                    "qty": 100
                },
                "modifiers": [
                    {
                        "id": 3,
                        "ordering": 0,
                        "name_en": "mod",
                        "name_ar": "mod",
                        "values": [
                            {
                                "id": 5,
                                "ordering": 0,
                                "name_en": "one",
                                "name_ar": "one"
                            },
                            {
                                "id": 6,
                                "ordering": 0,
                                "name_en": "two",
                                "name_ar": "two"
                            }
                        ]
                    }
                ],
                "variants": [
                    {
                        "id": 108,
                        "custom_fields": null,
                        "images": [
                            {
                                "ordering": 0,
                                "lang": "en",
                                "full_size": "/media/uploads/items/full_size/2025/05/14/5a8747e6-f1ae-4dfd-b812-66cfdf9e2803.png",
                                "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/ecf22fe0-0509-482c-bbca-63f13a6d3cec.png",
                                "large": null,
                                "medium": null,
                                "small": null
                            },
                            {
                                "ordering": 12,
                                "lang": "en",
                                "full_size": "/media/uploads/items/full_size/2025/05/14/db0b5126-84ee-499d-8dbe-2183ad549a8b.png",
                                "thumbnail": "/media/uploads/items/thumbnail/2025/05/14/6bcd31cb-e570-40a6-88ec-39ef97822c95.png",
                                "large": null,
                                "medium": null,
                                "small": null
                            }
                        ],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 100,
                            "price_after_discount": 100
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "one2",
                        "variant_title_ar": "one2",
                        "modifier_values": [
                            5
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "digital",
                        "sku": "1744877612311",
                        "price": 100,
                        "name_en": "test",
                        "name_ar": "test",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null
                    },
                    {
                        "id": 111,
                        "custom_fields": null,
                        "images": [],
                        "discount": {
                            "is_applied": true,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 180,
                            "price_after_discount": 180
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 100
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "two_updated",
                        "variant_title_ar": "two_updated",
                        "modifier_values": [
                            6
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "product",
                        "service_type": "digital",
                        "sku": "1746546599705",
                        "price": 200,
                        "name_en": "test",
                        "name_ar": "test",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": null,
                        "served_to_date": null,
                        "served_from_time": null,
                        "served_to_time": null
                    }
                ],
                "varies_on": "modifiers",
                "bundle_categories": [],
                "plan_config": null,
                "off_days": [],
                "off_dates": [],
                "app_id": 86,
                "ordering": 0,
                "type": "product",
                "service_type": "digital",
                "sku": "1744877612311",
                "price": 100,
                "name_en": "test",
                "name_ar": "test",
                "description_en": "",
                "description_ar": "",
                "is_plan_only": false,
                "is_plan_enabled": false,
                "served_from_date": null,
                "served_to_date": null,
                "served_from_time": null,
                "served_to_time": null,
                "categories": [
                    12
                ]
            },
            "price": 100,
            "qty": 1,
            "auto_renew": false,
            "date": "2025-03-11",
            "time": null,
            "total_price": 100,
            "parent_cart_item": null
        }
    ],
    "price": 100
}
Modified at 2026-06-01 12:39:25
Previous
Update Cart
Next
List Pickup Locations
Built with